=== added directory 'project_work_description'
=== added file 'project_work_description/__init__.py'
--- project_work_description/__init__.py	1970-01-01 00:00:00 +0000
+++ project_work_description/__init__.py	2011-08-17 20:54:45 +0000
@@ -0,0 +1,24 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    Copyright (C) 2011 Agile Business Group sagl (<http://www.agilebg.com>)
+#    Copyright (C) 2011 Domsense srl (<http://www.domsense.com>)
+#    All Rights Reserved
+#    $Id$
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import project

=== added file 'project_work_description/__openerp__.py'
--- project_work_description/__openerp__.py	1970-01-01 00:00:00 +0000
+++ project_work_description/__openerp__.py	2011-08-17 20:54:45 +0000
@@ -0,0 +1,38 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    Copyright (C) 2011 Agile Business Group sagl (<http://www.agilebg.com>)
+#    Copyright (C) 2011 Domsense srl (<http://www.domsense.com>)
+#    All Rights Reserved
+#    $Id$
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    'name': 'Project Task Work',
+    'version': '0.1',
+    'category': 'Generic Modules/Generic Modules/Human Resources',
+    'description': """Allow users to easily drop down some notes about what they did
+""",
+    'author': 'Agile Business Group & Domsense',
+    'website': 'http://www.agilebg.com',
+    'license': 'AGPL-3',
+    "depends" : ['project'],
+    "init_xml" : ['project/project_view.xml'],
+    "update_xml" : [],
+    "demo_xml" : [],
+    "active": False,
+    "installable": True
+}

=== added directory 'project_work_description/project'
=== added file 'project_work_description/project/__init__.py'
--- project_work_description/project/__init__.py	1970-01-01 00:00:00 +0000
+++ project_work_description/project/__init__.py	2011-08-17 20:54:45 +0000
@@ -0,0 +1,24 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    Copyright (C) 2011 Agile Business Group sagl (<http://www.agilebg.com>)
+#    Copyright (C) 2011 Domsense srl (<http://www.domsense.com>)
+#    All Rights Reserved
+#    $Id$
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import project
\ No newline at end of file

=== added file 'project_work_description/project/project.py'
--- project_work_description/project/project.py	1970-01-01 00:00:00 +0000
+++ project_work_description/project/project.py	2011-08-17 20:54:45 +0000
@@ -0,0 +1,32 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    Copyright (C) 2011 Agile Business Group sagl (<http://www.agilebg.com>)
+#    Copyright (C) 2011 Domsense srl (<http://www.domsense.com>)
+#    All Rights Reserved
+#    $Id$
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##############################################################################
+
+from osv import fields, osv
+
+class project_task_work(osv.osv):
+
+    _inherit = 'project.task.work'
+    _columns = {
+                'name': fields.text('Work summary'),  
+                }
+
+project_task_work()
\ No newline at end of file

=== added file 'project_work_description/project/project_view.xml'
--- project_work_description/project/project_view.xml	1970-01-01 00:00:00 +0000
+++ project_work_description/project/project_view.xml	2011-08-17 20:54:45 +0000
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<openerp>
+    <data>
+
+        <record id="view_task_work_description" model="ir.ui.view">
+            <field name="name">project.task.work.description</field>
+            <field name="model">project.task</field>
+            <field name="inherit_id" ref="project.view_task_form2"/>
+            <field name="arch" type="xml">
+                <xpath expr='//tree[@string="Task Work"]' position="replace">
+                    <tree string="Task Work">
+                        <field name="date"/>
+                        <field name="name"/>
+                        <field name="hours" widget="float_time"/>
+                        <field name="user_id"/>
+                    </tree>
+                </xpath>
+            </field>
+        </record>
+        
+    </data>
+</openerp>

